OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.VertexArrayObject

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the ARB_vertex_array_object extension, see http://www.opengl.org/registry/specs/ARB/vertex_array_object.txt.

Synopsis

- glBindVertexArray :: GLuint -> IO ()
- glDeleteVertexArrays :: GLsizei -> Ptr GLuint -> IO ()
- glGenVertexArrays :: GLsizei -> Ptr GLuint -> IO ()
- glIsVertexArray :: GLuint -> IO GLboolean
- gl_VERTEX_ARRAY_BINDING :: GLenum

# Functions

glBindVertexArray :: GLuint -> IO ()

glDeleteVertexArrays :: GLsizei -> Ptr GLuint -> IO ()

glGenVertexArrays :: GLsizei -> Ptr GLuint -> IO ()

glIsVertexArray :: GLuint -> IO GLboolean

# Tokens

gl_VERTEX_ARRAY_BINDING :: GLenum